# HG changeset patch
# Node ID bf872cc2d38c
# Parent  152522734e16
diff --git a/libpurple/protocols/bonjour/bonjour.c b/libpurple/protocols/bonjour/bonjour.c
--- a/libpurple/protocols/bonjour/bonjour.c
+++ b/libpurple/protocols/bonjour/bonjour.c
@@ -388,29 +388,6 @@
 	bonjour_dns_sd_update_buddy_icon(bd->dns_sd_data);
 }
 
-
-static char *
-bonjour_status_text(G_GNUC_UNUSED PurpleProtocolClient *client,
-                    PurpleBuddy *buddy)
-{
-	PurplePresence *presence;
-	PurpleStatus *status;
-	const char *message;
-	gchar *ret = NULL;
-
-	presence = purple_buddy_get_presence(buddy);
-	status = purple_presence_get_active_status(presence);
-
-	message = purple_status_get_attr_string(status, "message");
-
-	if (message != NULL) {
-		ret = g_markup_escape_text(message, -1);
-		purple_util_chrreplace(ret, '\n', ' ');
-	}
-
-	return ret;
-}
-
 static void
 bonjour_tooltip_text(G_GNUC_UNUSED PurpleProtocolClient *client,
                      PurpleBuddy *buddy, PurpleNotifyUserInfo *user_info,
@@ -704,7 +681,6 @@
 static void
 bonjour_protocol_client_iface_init(PurpleProtocolClientInterface *client_iface)
 {
-	client_iface->status_text          = bonjour_status_text;
 	client_iface->tooltip_text         = bonjour_tooltip_text;
 	client_iface->convo_closed         = bonjour_convo_closed;
 	client_iface->get_max_message_size = bonjour_get_max_message_size;
diff --git a/libpurple/protocols/demo/purpledemoprotocolclient.c b/libpurple/protocols/demo/purpledemoprotocolclient.c
--- a/libpurple/protocols/demo/purpledemoprotocolclient.c
+++ b/libpurple/protocols/demo/purpledemoprotocolclient.c
@@ -24,28 +24,6 @@
 /******************************************************************************
  * PurpleProtocolClient Implementation
  *****************************************************************************/
-static gchar *
-purple_demo_protocol_status_text(G_GNUC_UNUSED PurpleProtocolClient *client,
-                                 PurpleBuddy *buddy)
-{
-	PurplePresence *presence = NULL;
-	PurpleStatus *status = NULL;
-	const gchar *message = NULL;
-	gchar *ret = NULL;
-
-	presence = purple_buddy_get_presence(buddy);
-	status = purple_presence_get_active_status(presence);
-
-	message = purple_status_get_attr_string(status, "message");
-	if(message != NULL) {
-		ret = g_markup_escape_text(message, -1);
-		purple_util_chrreplace(ret, '\n', ' ');
-	}
-
-	return ret;
+void
+purple_demo_protocol_client_init(G_GNUC_UNUSED PurpleProtocolClientInterface *iface) {
 }
-
-void
-purple_demo_protocol_client_init(PurpleProtocolClientInterface *iface) {
-	iface->status_text = purple_demo_protocol_status_text;
-}
diff --git a/libpurple/protocols/gg/gg.c b/libpurple/protocols/gg/gg.c
--- a/libpurple/protocols/gg/gg.c
+++ b/libpurple/protocols/gg/gg.c
@@ -1303,7 +1303,6 @@
 ggp_protocol_client_iface_init(PurpleProtocolClientInterface *client_iface)
 {
 	client_iface->list_emblem            = ggp_list_emblem;
-	client_iface->status_text            = ggp_status_buddy_text;
 	client_iface->tooltip_text           = ggp_tooltip_text;
 	client_iface->buddy_free             = ggp_buddy_free;
 	client_iface->normalize              = ggp_normalize;
diff --git a/libpurple/protocols/gg/status.h b/libpurple/protocols/gg/status.h
--- a/libpurple/protocols/gg/status.h
+++ b/libpurple/protocols/gg/status.h
@@ -60,6 +60,5 @@
 /* buddy status */
 
 void ggp_status_got_others(PurpleConnection *gc, struct gg_event *ev);
-char * ggp_status_buddy_text(PurpleProtocolClient *client, PurpleBuddy *buddy);
 
 #endif /* PURPLE_GG_STATUS_H */
diff --git a/libpurple/protocols/gg/status.c b/libpurple/protocols/gg/status.c
--- a/libpurple/protocols/gg/status.c
+++ b/libpurple/protocols/gg/status.c
@@ -447,24 +447,3 @@
 
 	g_free(status_message);
 }
-
-char *
-ggp_status_buddy_text(G_GNUC_UNUSED PurpleProtocolClient *client,
-                      PurpleBuddy *buddy)
-{
-	ggp_buddy_data *buddy_data = ggp_buddy_get_data(buddy);
-	const gchar *purple_message;
-
-	if (buddy_data->blocked)
-		return g_strdup(_("Blocked"));
-	if (buddy_data->not_a_friend)
-		return g_strdup(_("Not a buddy"));
-
-	purple_message = purple_status_get_attr_string(
-		purple_presence_get_active_status(
-			purple_buddy_get_presence(buddy)), "message");
-	if (!purple_message)
-		return NULL;
-
-	return g_markup_escape_text(purple_message, -1);
-}
diff --git a/libpurple/protocols/jabber/jabber.c b/libpurple/protocols/jabber/jabber.c
--- a/libpurple/protocols/jabber/jabber.c
+++ b/libpurple/protocols/jabber/jabber.c
@@ -1514,40 +1514,6 @@
 	return NULL;
 }
 
-static char *
-jabber_status_text(G_GNUC_UNUSED PurpleProtocolClient *client, PurpleBuddy *b)
-{
-	char *ret = NULL;
-	JabberBuddy *jb = NULL;
-	PurpleAccount *account = purple_buddy_get_account(b);
-	PurpleConnection *gc = purple_account_get_connection(account);
-
-	if (gc && purple_connection_get_protocol_data(gc))
-		jb = jabber_buddy_find(purple_connection_get_protocol_data(gc), purple_buddy_get_name(b), FALSE);
-
-	if(jb && !PURPLE_BUDDY_IS_ONLINE(b) && (jb->subscription & JABBER_SUB_PENDING || !(jb->subscription & JABBER_SUB_TO))) {
-		ret = g_strdup(_("Not Authorized"));
-	} else if(jb && !PURPLE_BUDDY_IS_ONLINE(b) && jb->error_msg) {
-		ret = g_strdup(jb->error_msg);
-	} else {
-		PurplePresence *presence = purple_buddy_get_presence(b);
-		PurpleStatus *status = purple_presence_get_active_status(presence);
-		const char *message;
-
-		if((message = purple_status_get_attr_string(status, "message"))) {
-			ret = g_markup_escape_text(message, -1);
-		} else if (purple_presence_is_status_primitive_active(presence, PURPLE_STATUS_TUNE)) {
-			PurpleStatus *status = purple_presence_get_status(presence, "tune");
-			const char *title = purple_status_get_attr_string(status, PURPLE_TUNE_TITLE);
-			const char *artist = purple_status_get_attr_string(status, PURPLE_TUNE_ARTIST);
-			const char *album = purple_status_get_attr_string(status, PURPLE_TUNE_ALBUM);
-			ret = purple_util_format_song_info(title, artist, album);
-		}
-	}
-
-	return ret;
-}
-
 static void
 jabber_tooltip_add_resource_text(JabberBuddyResource *jbr,
 	PurpleNotifyUserInfo *user_info, gboolean multiple_resources)
@@ -3410,7 +3376,6 @@
 jabber_protocol_client_iface_init(PurpleProtocolClientInterface *client_iface)
 {
 	client_iface->list_emblem     = jabber_list_emblem;
-	client_iface->status_text     = jabber_status_text;
 	client_iface->tooltip_text    = jabber_tooltip_text;
 	client_iface->blist_node_menu = jabber_blist_node_menu;
 	client_iface->convo_closed    = jabber_convo_closed;
diff --git a/libpurple/purpleprotocolclient.h b/libpurple/purpleprotocolclient.h
--- a/libpurple/purpleprotocolclient.h
+++ b/libpurple/purpleprotocolclient.h
@@ -53,8 +53,6 @@
  * @list_emblem: Fills the four <type>char**</type>'s with string identifiers
  *               for "emblems" that the UI will interpret and display as
  *               relevant.
- * @status_text: Gets a short string representing this buddy's status. This
- *               will be shown on the buddy list.
  * @tooltip_text: Allows the protocol to add text to a buddy's tooltip.
  * @blist_node_menu: Returns a list of #PurpleActionMenu structs, which
  *                   represent extra actions to be shown in (for example) the
@@ -120,8 +118,6 @@
 	/*< public >*/
 	const gchar *(*list_emblem)(PurpleProtocolClient *client, PurpleBuddy *buddy);
 
-	gchar *(*status_text)(PurpleProtocolClient *client, PurpleBuddy *buddy);
-
 	void (*tooltip_text)(PurpleProtocolClient *client, PurpleBuddy *buddy, PurpleNotifyUserInfo *user_info,
 						 gboolean full);
 
@@ -163,19 +159,6 @@
 const gchar *purple_protocol_client_list_emblem(PurpleProtocolClient *client, PurpleBuddy *buddy);
 
 /**
- * purple_protocol_client_status_text:
- * @client: The #PurpleProtocolClient instance.
- * @buddy: The #PurpleBuddy instance.
- *
- * Gets the status text for @buddy.
- *
- * Returns: (transfer full): The status text for @buddy or %NULL.
- *
- * Since: 3.0.0
- */
-gchar *purple_protocol_client_status_text(PurpleProtocolClient *client, PurpleBuddy *buddy);
-
-/**
  * purple_protocol_client_tooltip_text:
  * @client: The #PurpleProtocolClient instance.
  * @buddy: The #PurpleBuddy instance.
diff --git a/libpurple/purpleprotocolclient.c b/libpurple/purpleprotocolclient.c
--- a/libpurple/purpleprotocolclient.c
+++ b/libpurple/purpleprotocolclient.c
@@ -53,23 +53,6 @@
 	return NULL;
 }
 
-gchar *
-purple_protocol_client_status_text(PurpleProtocolClient *client,
-                                   PurpleBuddy *buddy)
-{
-	PurpleProtocolClientInterface *iface = NULL;
-
-	g_return_val_if_fail(PURPLE_IS_PROTOCOL_CLIENT(client), NULL);
-	g_return_val_if_fail(PURPLE_IS_BUDDY(buddy), NULL);
-
-	iface = PURPLE_PROTOCOL_CLIENT_GET_IFACE(client);
-	if(iface != NULL && iface->status_text != NULL) {
-		return iface->status_text(client, buddy);
-	}
-
-	return NULL;
-}
-
 void
 purple_protocol_client_tooltip_text(PurpleProtocolClient *client,
                                     PurpleBuddy *buddy,
